[package]
name = "fctool"
version.workspace = true
edition.workspace = true
authors.workspace = true
description.workspace = true
repository.workspace = true
readme.workspace = true
homepage.workspace = true
license.workspace = true
keywords.workspace = true
categories.workspace = true
documentation.workspace = true

[lib]
path = "src/lib.rs"
name = "fctool"

[dependencies]
agent = { workspace = true }
git = { workspace = true }
models = { workspace = true }
db = { workspace = true }
sea-orm = { workspace = true, features = [] }
git2 = { workspace = true }

serde = { workspace = true, features = ["derive"] }
serde_json = { workspace = true }
base64 = { workspace = true }
chrono = { workspace = true, features = ["serde"] }
uuid = { workspace = true, features = ["serde", "v7"] }
reqwest = { workspace = true, features = ["json", "native-tls"] }
regex = { workspace = true }
csv = { workspace = true }
quick-xml = { workspace = true }
sqlparser = { workspace = true }
pulldown-cmark = { workspace = true }
tokio = { workspace = true, features = ["rt", "rt-multi-thread"] }
tracing = { workspace = true }
